com.holonplatform.core

## Interface Path.FinalPath.FinalPathBuilder<T>

- Type Parameters:
    `T` - Path type
  All Superinterfaces:
    DataMappable, DataMappable.Builder<Path.PathBuilder<T>>, Expression, Path<T>, Path.Builder<T,Path.PathBuilder<T>>, Path.FinalPath<T>, Path.PathBuilder<T>, Serializable, TypedExpression<T>
  Enclosing interface:
    Path.FinalPath<T>

      public static interface Path.FinalPath.FinalPathBuilder<T>
      extends Path.PathBuilder<T>, Path.FinalPath<T>

  `Path.FinalPath` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path.FinalPath

      `Path.FinalPath.FinalPathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.Builder<T,B extends Path.Builder<T,B>>, Path.FinalPath<T>, Path.PathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.Path.Builder

      `parent`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable.Builder

      `dataPath`

    - ### Methods inherited from interface com.holonplatform.core.Path.FinalPath

      `getParent, of`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, isRootPath, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

Copyright © 2019 The Holon Platform. All rights reserved.